%global debug_package %{nil}
%global use_luajit 0

Name:           xmake
Version:        2.8.5
Release:        %autorelease
Summary:        A cross-platform build utility based on Lua

# Xmake is under Apache-2.0 license, except the bundled libraries:
# tbox - Apache-2.0 AND BSL-1.0 AND Zlib

License:        Apache-2.0 AND BSL-1.0 AND Zlib
URL:            https://xmake.io
Source0:        https://github.com/xmake-io/xmake/releases/download/v%{version}/%{name}-v%{version}.tar.gz
Patch0:         0001-fix-deps.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(libsv)
BuildRequires:  pkgconfig(libxxhash)
%if %{use_luajit}
BuildRequires:  pkgconfig(luajit)
%else
BuildRequires:  pkgconfig(lua)
%endif

Provides:       bundled(tbox)

%description
%{summary}.

%prep
%autosetup -p1

rm -rf core/src/{lua,luajit,lua-cjson,lz4,pdcurses,sv,xxhash}/

%build
%configure --external=yes \
  --mode=release \
%if %{use_luajit}
  --runtime=luajit
%else
  --runtime=lua
%endif

%make_build

%install
mkdir -p %{buildroot}%{_mandir}/man1/
install -Dpm0755 build/xmake %{buildroot}%{_bindir}/xmake
install -Dpm0755 scripts/xrepo.sh %{buildroot}%{_bindir}/xrepo
install -Dpm0644 scripts/man/*1 %{buildroot}%{_mandir}/man1/

install -Dpm0644 xmake/scripts/completions/register-completions.bash \
        %{buildroot}%{bash_completions_dir}/xmake
install -Dpm0644 xmake/scripts/completions/register-completions.fish \
        %{buildroot}%{fish_completions_dir}/xmake.fish
install -Dpm0644 xmake/scripts/completions/register-completions.zsh \
        %{buildroot}%{zsh_completions_dir}/_xmake
cp -r xmake/ %{buildroot}%{_datadir}/xmake

%check
%{buildroot}%{_bindir}/xmake --version
%{buildroot}%{_bindir}/xrepo --version

%files
%doc README.md CHANGELOG.md
%license LICENSE.md
%{_bindir}/xmake
%{_bindir}/xrepo
%{_datadir}/xmake
%{_mandir}/man1/*
%{bash_completions_dir}/xmake
%{zsh_completions_dir}/_xmake
%{fish_completions_dir}/xmake.fish

%changelog
%autochangelog
